#line 1 "C:/ARM Projects/Mikromedia+ for STM32 ARM/GPS/GPS_Code/mikroC PRO for ARM/GPS_events_code.c"
#line 1 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/gps_objects.h"
typedef struct Screen TScreen;

typedef struct {
 unsigned int X_Min;
 unsigned int X_Max;
 unsigned int Y_Min;
 unsigned int Y_Max;
 char Rotate;
} TTPConstants;

typedef struct Label {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char *Caption;
 const char *FontName;
 unsigned int Font_Color;
 char Visible;
 char Active;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TLabel;

typedef struct Box {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char Pen_Width;
 unsigned int Pen_Color;
 char Visible;
 char Active;
 char Transparent;
 char Gradient;
 char Gradient_Orientation;
 unsigned int Gradient_Start_Color;
 unsigned int Gradient_End_Color;
 unsigned int Color;
 char PressColEnabled;
 unsigned int Press_Color;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TBox;

struct Screen {
 unsigned int Color;
 unsigned int Width;
 unsigned int Height;
 unsigned int ObjectsCount;
 unsigned int LabelsCount;
 TLabel * const code *Labels;
 unsigned int BoxesCount;
 TBox * const code *Boxes;
};

extern TScreen Screen1;
extern TBox Box1;
extern TLabel Label1;
extern TLabel Label2;
extern TLabel Label3;
extern TLabel Label4;
extern TLabel Label5;
extern TLabel * const code Screen1_Labels[5];
extern TBox * const code Screen1_Boxes[1];




void ButtonRound1OnClick();




extern char Box1_Caption[];
extern char Label1_Caption[];
extern char Label2_Caption[];
extern char Label3_Caption[];
extern char Label4_Caption[];
extern char Label5_Caption[];


void DrawScreen(TScreen *aScreen);
void DrawLabel(TLabel *ALabel);
void DrawBox(TBox *ABox);
void Check_TP();
void Start_TP();
void Process_TP_Press(unsigned int X, unsigned int Y);
void Process_TP_Up(unsigned int X, unsigned int Y);
void Process_TP_Down(unsigned int X, unsigned int Y);
#line 1 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/gps_resources.h"
const code char Tahoma21x25_Regular[];
#line 12 "C:/ARM Projects/Mikromedia+ for STM32 ARM/GPS/GPS_Code/mikroC PRO for ARM/GPS_events_code.c"
void ClearLbl( TLabel *_label) {
 TFT_Set_Font(_label->FontName, Box1.Color, FO_HORIZONTAL);
 TFT_Write_Text(_label->Caption, _label->Left, _label->Top);
}

void ClearLabel( TLabel *_label) {
 ClearLbl(_label);
 strcpy(_label->Caption, "");
}

void DrawLbl( TLabel *_label) {
 TFT_Set_Font(_label->FontName, _label->Font_Color, FO_HORIZONTAL);
 TFT_Write_Text(_label->Caption, _label->Left, _label->Top);
}

void DrawBlueLabel( TLabel *_label) {
 _label->Font_Color = CL_BLUE;
 DrawLbl(_label);
}

void DrawBlackLabel( TLabel *_label) {
 _label->Font_Color = CL_BLACK;
 DrawLbl(_label);
}


void UpdateLabel1(char *msg, unsigned int Color) {
 ClearLabel(&Label1);
 if (strlen(msg)<=36) {
 strcpy(Label1.Caption,msg);
 Label1.Font_Color = Color;
 DrawLbl(&Label1);
 }
}
