/*
 * Project name:
     GPS.vtft
 * Generated by:
     Visual TFT
 * Date of creation
     9/1/2013
 * Time of creation
     11:04:56 AM
 * Test configuration:
     MCU:             STM32F407ZG
     Dev.Board:       Mikromedia_Plus_for_STM32_ARM
     Oscillator:      25 MHz
     PLL:             150 MHz
     SW:              mikroC PRO for ARM

 * NOTES:
      1. Check_TP(); is disabled because the blocking code hangs up the CPU eventually.
      2. Place the GPS L10 click board in slot 2 of the shield.
      3. Connect USB cable from USB UART on shield to your PC for diagnostic messages.
      4. Connect USB cable from programming port on MM Plus board to your PC if using bootloader.
 
 */

#include "GPS_objects.h"
#include "Timers.h"
#include "GPS_Click.h"
#include "RTC.h"
#include "RGB.h"
#include "UART2.h"
#include "UART6.h"





void main() {

     Start_TP();                   // Initialize touch panel (touch not used in this example)
     TimerInit();                  // Initialize timer
     GPS_Initialize();             // Initialize the GPS click module
     RTC_Initialize();             // Initialize the Real Time Clock
     RGB_Initialize();             // Initialize the RGB LED module
     UART2_Initialize();           // Initialize serial interface for click modules
     UART6_Initialize();           // Initialize serial interface for diagnostic messages
     UART6_PutQueue("GPS program started\r\n");  // Starting message
     
     EnableInterrupts();           // Enable interrupts

     while (1) {
         //Check_TP();               // Hangs up the processor

         UART2_Rx();               // Check for incoming UART2 messages
         UART2_CheckQueue();       // Check for outgoing UART2 messages

         UART6_Rx();               // Check for incoming UART6 messages
         UART6_CheckQueue();       // Check for outgoing UART6 messages

         TimerCheck();             // Check timer pool
         GPS_TaskMgr();            // Run GPS state machine
     }
}