#line 1 "C:/ARM Projects/Mikromedia+ for STM32 ARM/GPS/GPS_Code/mikroC PRO for ARM/GPS_main.c"
#line 1 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/gps_objects.h"
typedef struct Screen TScreen;

typedef struct {
 unsigned int X_Min;
 unsigned int X_Max;
 unsigned int Y_Min;
 unsigned int Y_Max;
 char Rotate;
} TTPConstants;

typedef struct Label {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char *Caption;
 const char *FontName;
 unsigned int Font_Color;
 char Visible;
 char Active;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TLabel;

typedef struct Box {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char Pen_Width;
 unsigned int Pen_Color;
 char Visible;
 char Active;
 char Transparent;
 char Gradient;
 char Gradient_Orientation;
 unsigned int Gradient_Start_Color;
 unsigned int Gradient_End_Color;
 unsigned int Color;
 char PressColEnabled;
 unsigned int Press_Color;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TBox;

struct Screen {
 unsigned int Color;
 unsigned int Width;
 unsigned int Height;
 unsigned int ObjectsCount;
 unsigned int LabelsCount;
 TLabel * const code *Labels;
 unsigned int BoxesCount;
 TBox * const code *Boxes;
};

extern TScreen Screen1;
extern TBox Box1;
extern TLabel Label1;
extern TLabel Label2;
extern TLabel Label3;
extern TLabel Label4;
extern TLabel Label5;
extern TLabel * const code Screen1_Labels[5];
extern TBox * const code Screen1_Boxes[1];




void ButtonRound1OnClick();




extern char Box1_Caption[];
extern char Label1_Caption[];
extern char Label2_Caption[];
extern char Label3_Caption[];
extern char Label4_Caption[];
extern char Label5_Caption[];


void DrawScreen(TScreen *aScreen);
void DrawLabel(TLabel *ALabel);
void DrawBox(TBox *ABox);
void Check_TP();
void Start_TP();
void Process_TP_Press(unsigned int X, unsigned int Y);
void Process_TP_Up(unsigned int X, unsigned int Y);
void Process_TP_Down(unsigned int X, unsigned int Y);
#line 1 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/timers.h"
#line 9 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/timers.h"
void TimerInit();
void TimerCheck();
#line 31 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/timers.h"
struct timers {
 unsigned long int TimerField;
 unsigned short int Free;
};
#line 43 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/timers.h"
void init_timerpool(void);
#line 52 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/timers.h"
unsigned short int get_timer(void);
#line 61 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/timers.h"
void free_timer(unsigned short int nbr);
#line 71 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/timers.h"
void set_timer(unsigned short int nbr, unsigned long int tout);
#line 80 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/timers.h"
unsigned long int check_timer(unsigned short int nbr);
#line 89 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/timers.h"
void irqhandler_timer(void);
#line 1 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/gps_click.h"
#line 10 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/gps_click.h"
const code char Tahoma21x25_Regular[];
const code char far WorldImage_bmp[102406];



typedef struct {
 char ID[8];
 char Time[12];
 char Latitude[12];
 char NS[4];
 char Longitude[12];
 char EW[4];
 char Fix[2];
 char NumSat[4];
 char HDOP[8];
 char Altitude[8];
 char FF1[2];
 char Height[8];
 char FF2[2];
 char Age[8];
 char DGPS_ID[8];
} GPS_GPGGA;





void GPS_Initialize(void);

void Display_Cursor(signed int lat, signed int lon, char *lt_Str, char *lng_Str, unsigned int color);

void DecodeResponse(void);
short WaitForResponse(void);
void GPS_TaskMgr(void);
void SendToGPS(char *s);
short GetToken(char *s, char *t);



void UpdateLabel1(char *msg, unsigned int Color);
#line 1 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/rtc.h"
#line 13 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/rtc.h"
typedef struct Time {
 short ampm;
 short seconds;
 short minutes;
 short hours;
 short day;
 short month;
 int year;
} TTime;




void RTC_Initialize(void);
void RTC_Write(TTime *RTCC_Time);
void RTC_Read(TTime *RTCC_Time);

void RTC_WriteSRAM(unsigned short Reg, unsigned long Value);
unsigned long RTC_ReadSRAM(unsigned short Reg);

void RTC_WriteCCR(char Cal);
void RTC_ReadCCR(void);
#line 1 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/rgb.h"
#line 13 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/rgb.h"
void RGB_Initialize(void);
void RGB_Set_Red(void);
void RGB_Clr_Red(void);
void RGB_Set_Green(void);
void RGB_Clr_Green(void);
void RGB_Set_Blue(void);
void RGB_Clr_Blue(void);
#line 1 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/uart2.h"
#line 21 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/uart2.h"
void UART2_SetBaud(void);
void UART2_StartRx(void);
void UART2_StartTx(void);

void UART2_Initialize(void);

void UART2_RxQueueInit(void);
char UART2_GetChar(char *rxbyte);

void UART2_Rx(void);
void UART2_Rx1(void);
void UART2_Rx2(void);


void UART2_TxQueueInit(void);
void UART2_PutQueue(char *msg);

void UART2_SendMsg(char *s);
void UART2_CheckQueue(void);
#line 1 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/uart6.h"
#line 20 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/uart6.h"
typedef void (*tPointerFcn)(void);





void UART6_SetBaud(void);
void UART6_StartRx(void);
void UART6_StartTx(void);

void UART6_Initialize(void);

void UART6_RxQueueInit(void);
char UART6_GetChar(char *rxbyte);

void UART6_Rx(void);
void UART6_Rx1(void);
void UART6_Rx2(void);


void UART6_TxQueueInit(void);
void UART6_PutQueue(char *msg);

void UART6_SendMsg(char *s);
void UART6_CheckQueue(void);



void ButtonRound1OnClick();
void ButtonRound2OnClick();
#line 37 "C:/ARM Projects/Mikromedia+ for STM32 ARM/GPS/GPS_Code/mikroC PRO for ARM/GPS_main.c"
void main() {

 Start_TP();
 TimerInit();
 GPS_Initialize();
 RTC_Initialize();
 RGB_Initialize();
 UART2_Initialize();
 UART6_Initialize();
 UART6_PutQueue("GPS program started\r\n");

 EnableInterrupts();

 while (1) {


 UART2_Rx();
 UART2_CheckQueue();

 UART6_Rx();
 UART6_CheckQueue();

 TimerCheck();
 GPS_TaskMgr();
 }
}
