#line 1 "C:/ARM Projects/Mikromedia+ for STM32 ARM/GPS/GPS_Code/mikroC PRO for ARM/RTC.c"
#line 1 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/rtc.h"
#line 13 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/rtc.h"
typedef struct Time {
 short ampm;
 short seconds;
 short minutes;
 short hours;
 short day;
 short month;
 int year;
} TTime;




void RTC_Initialize(void);
void RTC_Write(TTime *RTCC_Time);
void RTC_Read(TTime *RTCC_Time);

void RTC_WriteSRAM(unsigned short Reg, unsigned long Value);
unsigned long RTC_ReadSRAM(unsigned short Reg);

void RTC_WriteCCR(char Cal);
void RTC_ReadCCR(void);
#line 1 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/buffers.h"
#line 14 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/buffers.h"
char* GetBuffer(void);
#line 1 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/uart6.h"
#line 20 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/uart6.h"
typedef void (*tPointerFcn)(void);





void UART6_SetBaud(void);
void UART6_StartRx(void);
void UART6_StartTx(void);

void UART6_Initialize(void);

void UART6_RxQueueInit(void);
char UART6_GetChar(char *rxbyte);

void UART6_Rx(void);
void UART6_Rx1(void);
void UART6_Rx2(void);


void UART6_TxQueueInit(void);
void UART6_PutQueue(char *msg);

void UART6_SendMsg(char *s);
void UART6_CheckQueue(void);



void ButtonRound1OnClick();
void ButtonRound2OnClick();
#line 1 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/rgb.h"
#line 13 "c:/arm projects/mikromedia+ for stm32 arm/gps/gps_code/mikroc pro for arm/rgb.h"
void RGB_Initialize(void);
void RGB_Set_Red(void);
void RGB_Clr_Red(void);
void RGB_Set_Green(void);
void RGB_Clr_Green(void);
void RGB_Set_Blue(void);
void RGB_Clr_Blue(void);
#line 14 "C:/ARM Projects/Mikromedia+ for STM32 ARM/GPS/GPS_Code/mikroC PRO for ARM/RTC.c"
TTime MyTime;

unsigned long RTC_Time;
unsigned long RTC_Date;
#line 23 "C:/ARM Projects/Mikromedia+ for STM32 ARM/GPS/GPS_Code/mikroC PRO for ARM/RTC.c"
void RTC_Initialize(void) {

 RCC_APB1ENR.PWREN = 1;

 if (RCC_BDCR.RTCEN == 0) {
 PWR_CR.DBP = 1;
 RTC_WPR = 0xCA;
 RTC_WPR = 0x53;

 RCC_BDCR = 0x00010000;
 RCC_BDCR = 0x00008101;
 }


 while(RTC_ISR.RSF != 1) {}



 while(RCC_BDCR.LSERDY != 1) {};


 RTC_WPR = 0xFF;
}
#line 49 "C:/ARM Projects/Mikromedia+ for STM32 ARM/GPS/GPS_Code/mikroC PRO for ARM/RTC.c"
void RTC_Write(TTime *RTCC_Time) {
 unsigned long temp;

 PWR_CR.DBP = 1;
 RTC_WPR = 0xCA;
 RTC_WPR = 0x53;

 RTC_ISR = 0x00000080;


 while(RTC_ISR.INITF != 1) {};


 RTC_PRERBITS.PREDIV_S = 0xFF;
 RTC_PRERBITS.PREDIV_A = 0x7F;


 temp = (unsigned long)Dec2Bcd(RTCC_Time->hours) << 16;
 temp += (unsigned long)Dec2BCD(RTCC_Time->minutes) << 8;
 temp += (unsigned long)Dec2BCD(RTCC_Time->seconds);

 RTC_TR = temp;


 temp = (unsigned long)Dec2BCD16(RTCC_Time->year) << 16;
 temp += (unsigned long)Dec2BCD(RTCC_Time->month) << 8;
 temp += (unsigned long)Dec2Bcd(RTCC_Time->day);
 RTC_DR = temp;

 RTC_CRbits.FMT = 0;
 RTC_CRbits.WCKSEL = 0;

 RTC_ISR = 0x00000000;

 RTC_WPR = 0xFF;
}
#line 88 "C:/ARM Projects/Mikromedia+ for STM32 ARM/GPS/GPS_Code/mikroC PRO for ARM/RTC.c"
void RTC_Read(TTime *RTCC_Time) {

 RTC_Time = RTC_TR;
 RTC_Date = RTC_DR;


 RTCC_Time->hours = Bcd2Dec((short)((RTC_Time & 0x3F0000) >> 16));
 RTCC_Time->minutes = Bcd2Dec((short)((RTC_Time & 0x007F00) >> 8));
 RTCC_Time->seconds = Bcd2Dec((short)(RTC_Time & 0x00007F));


 RTCC_Time->year = Bcd2Dec16((unsigned)((RTC_Date & 0xFFFF0000) >> 16));
 RTCC_Time->month = Bcd2Dec((short)((RTC_Date & 0x001F00) >> 8));
 RTCC_Time->day = Bcd2Dec((short)(RTC_Date & 0x00003F));
}
#line 106 "C:/ARM Projects/Mikromedia+ for STM32 ARM/GPS/GPS_Code/mikroC PRO for ARM/RTC.c"
void RTC_WriteSRAM(unsigned short Reg, unsigned long Value) {

 switch (Reg) {
 case 0: RTC_BKP0R = Value; break;
 case 1: RTC_BKP1R = Value; break;
 case 2: RTC_BKP2R = Value; break;
 case 3: RTC_BKP3R = Value; break;
 case 4: RTC_BKP4R = Value; break;
 case 5: RTC_BKP5R = Value; break;
 case 6: RTC_BKP6R = Value; break;
 case 7: RTC_BKP7R = Value; break;
 case 8: RTC_BKP8R = Value; break;
 case 9: RTC_BKP9R = Value; break;
 case 10: RTC_BKP10R = Value; break;
 case 11: RTC_BKP11R = Value; break;
 case 12: RTC_BKP12R = Value; break;
 case 13: RTC_BKP13R = Value; break;
 case 14: RTC_BKP14R = Value; break;
 case 15: RTC_BKP15R = Value; break;
 case 16: RTC_BKP16R = Value; break;
 case 17: RTC_BKP17R = Value; break;
 case 18: RTC_BKP18R = Value; break;
 case 19: RTC_BKP19R = Value; break;
 default: UART6_PutQueue("Invalid reg address\r\n"); break;
 }
}
#line 135 "C:/ARM Projects/Mikromedia+ for STM32 ARM/GPS/GPS_Code/mikroC PRO for ARM/RTC.c"
unsigned long RTC_ReadSRAM(unsigned short Reg) {
 unsigned long Temp;

 switch (Reg) {
 case 0: Temp = RTC_BKP0R; break;
 case 1: Temp = RTC_BKP1R; break;
 case 2: Temp = RTC_BKP2R; break;
 case 3: Temp = RTC_BKP3R; break;
 case 4: Temp = RTC_BKP4R; break;
 case 5: Temp = RTC_BKP5R; break;
 case 6: Temp = RTC_BKP6R; break;
 case 7: Temp = RTC_BKP7R; break;
 case 8: Temp = RTC_BKP8R; break;
 case 9: Temp = RTC_BKP9R; break;
 case 10: Temp = RTC_BKP10R; break;
 case 11: Temp = RTC_BKP11R; break;
 case 12: Temp = RTC_BKP12R; break;
 case 13: Temp = RTC_BKP13R; break;
 case 14: Temp = RTC_BKP14R; break;
 case 15: Temp = RTC_BKP15R; break;
 case 16: Temp = RTC_BKP16R; break;
 case 17: Temp = RTC_BKP17R; break;
 case 18: Temp = RTC_BKP18R; break;
 case 19: Temp = RTC_BKP19R; break;
 default: UART6_PutQueue("Invalid reg address\r\n"); Temp = 0; break;
 }
 return Temp;
}
#line 169 "C:/ARM Projects/Mikromedia+ for STM32 ARM/GPS/GPS_Code/mikroC PRO for ARM/RTC.c"
void RTC_WriteCCR(char Cal) {

 PWR_CR.DBP = 1;
 RTC_WPR = 0xCA;
 RTC_WPR = 0x53;
 RTC_ISR = 0x00000080;
 while(RTC_ISR.INITF != 1) {};
 RTC_CALIBR = Cal;
 RTC_ISR = 0x00000000;
 RTC_WPR = 0xFF;
}
#line 183 "C:/ARM Projects/Mikromedia+ for STM32 ARM/GPS/GPS_Code/mikroC PRO for ARM/RTC.c"
void RTC_ReadCCR(void) {
 char *BufNum;

 BufNum = GetBuffer();
 sprintf(BufNum,"%04X\r\n",RTC_CALIBR);
 UART6_PutQueue(BufNum);
}
