_UART6_Interrupt:
;UART6.c,68 :: 		void UART6_Interrupt() iv IVT_INT_USART6 ics ICS_AUTO {
;UART6.c,73 :: 		if ((RXNE_USART6_SR_bit) /* || (ORE_bit) */ ) {
MOVW	R1, #lo_addr(RXNE_USART6_SR_bit+0)
MOVT	R1, #hi_addr(RXNE_USART6_SR_bit+0)
LDR	R0, [R1, #0]
CMP	R0, #0
IT	EQ
BEQ	L_UART6_Interrupt0
;UART6.c,74 :: 		R_data = USART6_DR;           // Fetch a byte from receive register
MOVW	R0, #lo_addr(USART6_DR+0)
MOVT	R0, #hi_addr(USART6_DR+0)
; R_data start address is: 12 (R3)
LDR	R3, [R0, #0]
;UART6.c,75 :: 		RxQueue[RxIn++] = R_data;     // Put data byte in re-circulating buffer, increment pointer
MOVW	R2, #lo_addr(_RxIn+0)
MOVT	R2, #hi_addr(_RxIn+0)
LDRB	R1, [R2, #0]
MOVW	R0, #lo_addr(_RxQueue+0)
MOVT	R0, #hi_addr(_RxQueue+0)
ADDS	R0, R0, R1
STRB	R3, [R0, #0]
; R_data end address is: 12 (R3)
MOV	R0, R2
LDRB	R0, [R0, #0]
ADDS	R0, R0, #1
UXTB	R0, R0
STRB	R0, [R2, #0]
;UART6.c,76 :: 		if (RxIn > (rxqsize-1))       // Adjust pointer if necessary
CMP	R0, #255
IT	LS
BLS	L_UART6_Interrupt1
;UART6.c,77 :: 		RxIn = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(_RxIn+0)
MOVT	R0, #hi_addr(_RxIn+0)
STRB	R1, [R0, #0]
L_UART6_Interrupt1:
;UART6.c,78 :: 		}
L_UART6_Interrupt0:
;UART6.c,80 :: 		if ((TXE_USART6_SR_bit)&&(TXEIE_USART6_CR1_bit)) {
MOVW	R1, #lo_addr(TXE_USART6_SR_bit+0)
MOVT	R1, #hi_addr(TXE_USART6_SR_bit+0)
LDR	R0, [R1, #0]
CMP	R0, #0
IT	EQ
BEQ	L__UART6_Interrupt54
MOVW	R1, #lo_addr(TXEIE_USART6_CR1_bit+0)
MOVT	R1, #hi_addr(TXEIE_USART6_CR1_bit+0)
LDR	R0, [R1, #0]
CMP	R0, #0
IT	EQ
BEQ	L__UART6_Interrupt53
L__UART6_Interrupt52:
;UART6.c,81 :: 		T_data = XmtBuf[XmtBufPtr++]; // Get a byte from the transmit buffer
MOVW	R2, #lo_addr(_XmtBufPtr+0)
MOVT	R2, #hi_addr(_XmtBufPtr+0)
LDRB	R1, [R2, #0]
MOVW	R0, #lo_addr(_XmtBuf+0)
MOVT	R0, #hi_addr(_XmtBuf+0)
LDR	R0, [R0, #0]
ADDS	R0, R0, R1
LDRB	R1, [R0, #0]
; T_data start address is: 12 (R3)
UXTB	R3, R1
MOV	R0, R2
LDRB	R0, [R0, #0]
ADDS	R0, R0, #1
STRB	R0, [R2, #0]
;UART6.c,82 :: 		if (T_data == NUL) {          // If it is the end of message marker
CMP	R1, #0
IT	NE
BNE	L_UART6_Interrupt5
; T_data end address is: 12 (R3)
;UART6.c,83 :: 		TXEIE_USART6_CR1_bit = 0; // Disable transmitter interrupts
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(TXEIE_USART6_CR1_bit+0)
MOVT	R0, #hi_addr(TXEIE_USART6_CR1_bit+0)
STR	R1, [R0, #0]
;UART6.c,84 :: 		} else {
IT	AL
BAL	L_UART6_Interrupt6
L_UART6_Interrupt5:
;UART6.c,85 :: 		USART6_DR = T_data;       // Transfer data byte to transmit register
; T_data start address is: 12 (R3)
MOVW	R0, #lo_addr(USART6_DR+0)
MOVT	R0, #hi_addr(USART6_DR+0)
STR	R3, [R0, #0]
; T_data end address is: 12 (R3)
;UART6.c,86 :: 		}
L_UART6_Interrupt6:
;UART6.c,80 :: 		if ((TXE_USART6_SR_bit)&&(TXEIE_USART6_CR1_bit)) {
L__UART6_Interrupt54:
L__UART6_Interrupt53:
;UART6.c,88 :: 		}
L_end_UART6_Interrupt:
BX	LR
; end of _UART6_Interrupt
_UART6_SetBaud:
;UART6.c,92 :: 		void UART6_SetBaud(void) {
SUB	SP, SP, #4
STR	LR, [SP, #0]
;UART6.c,94 :: 		GPIOCEN_bit = 1;                  // Set GPIOC clock enable bit
MOVS	R2, #1
SXTB	R2, R2
MOVW	R0, #lo_addr(GPIOCEN_bit+0)
MOVT	R0, #hi_addr(GPIOCEN_bit+0)
STR	R2, [R0, #0]
;UART6.c,96 :: 		GPIOC_MODER |= 0x0000A000;        // Set port C MODER bits 6 and 7 to 10: alternate function mode
MOVW	R0, #lo_addr(GPIOC_MODER+0)
MOVT	R0, #hi_addr(GPIOC_MODER+0)
LDR	R0, [R0, #0]
ORR	R1, R0, #40960
MOVW	R0, #lo_addr(GPIOC_MODER+0)
MOVT	R0, #hi_addr(GPIOC_MODER+0)
STR	R1, [R0, #0]
;UART6.c,97 :: 		GPIOC_AFRL |= 0x88000000;         // Select alternate function 1000: AF8 for bits 6 and 7
MOVW	R0, #lo_addr(GPIOC_AFRL+0)
MOVT	R0, #hi_addr(GPIOC_AFRL+0)
LDR	R0, [R0, #0]
ORR	R1, R0, #-2013265920
MOVW	R0, #lo_addr(GPIOC_AFRL+0)
MOVT	R0, #hi_addr(GPIOC_AFRL+0)
STR	R1, [R0, #0]
;UART6.c,99 :: 		USART6EN_bit = 1;                 // Set USART6 clock enable bit
MOVW	R0, #lo_addr(USART6EN_bit+0)
MOVT	R0, #hi_addr(USART6EN_bit+0)
STR	R2, [R0, #0]
;UART6.c,100 :: 		USART6_CR1 |= 0x0000200C;         // Set UE, TE, and RE in USART6 control register 1
MOVW	R0, #lo_addr(USART6_CR1+0)
MOVT	R0, #hi_addr(USART6_CR1+0)
LDR	R1, [R0, #0]
MOVW	R0, #8204
ORRS	R1, R0
MOVW	R0, #lo_addr(USART6_CR1+0)
MOVT	R0, #hi_addr(USART6_CR1+0)
STR	R1, [R0, #0]
;UART6.c,101 :: 		USART6_BRR = 0x00001E84;          // Set baud rate register for 9600
MOVW	R1, #7812
MOVW	R0, #lo_addr(USART6_BRR+0)
MOVT	R0, #hi_addr(USART6_BRR+0)
STR	R1, [R0, #0]
;UART6.c,103 :: 		NVIC_IntEnable(IVT_INT_USART6);   // Enable interrupt vector
MOVW	R0, #87
BL	_NVIC_IntEnable+0
;UART6.c,105 :: 		}
L_end_UART6_SetBaud:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _UART6_SetBaud
_UART6_StartRx:
;UART6.c,109 :: 		void UART6_StartRx(void) {
;UART6.c,110 :: 		RXNEIE_USART6_CR1_bit = 1;        // Interrupt when receive buffer is full (RXNE=1)
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(RXNEIE_USART6_CR1_bit+0)
MOVT	R0, #hi_addr(RXNEIE_USART6_CR1_bit+0)
STR	R1, [R0, #0]
;UART6.c,111 :: 		}
L_end_UART6_StartRx:
BX	LR
; end of _UART6_StartRx
_UART6_StartTx:
;UART6.c,115 :: 		void UART6_StartTx(void) {
;UART6.c,116 :: 		TXEIE_USART6_CR1_bit = 1;         // Interrupt when transmit buffer is empty (TXE=1)
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(TXEIE_USART6_CR1_bit+0)
MOVT	R0, #hi_addr(TXEIE_USART6_CR1_bit+0)
STR	R1, [R0, #0]
;UART6.c,117 :: 		}
L_end_UART6_StartTx:
BX	LR
; end of _UART6_StartTx
_UART6_Initialize:
;UART6.c,126 :: 		void UART6_Initialize(void) {
SUB	SP, SP, #4
STR	LR, [SP, #0]
;UART6.c,127 :: 		UART6_RxQueueInit();
BL	_UART6_RxQueueInit+0
;UART6.c,128 :: 		UART6_TxQueueInit();
BL	_UART6_TxQueueInit+0
;UART6.c,130 :: 		UART6_SetBaud();
BL	_UART6_SetBaud+0
;UART6.c,131 :: 		UART6_StartRx();
BL	_UART6_StartRx+0
;UART6.c,132 :: 		}
L_end_UART6_Initialize:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _UART6_Initialize
_UART6_RxQueueInit:
;UART6.c,137 :: 		void UART6_RxQueueInit(void) {
;UART6.c,138 :: 		RxIn = RxOut = 0;                 // Set pointers to 0
MOVS	R1, #0
MOVW	R0, #lo_addr(_RxOut+0)
MOVT	R0, #hi_addr(_RxOut+0)
STRB	R1, [R0, #0]
MOVS	R1, #0
MOVW	R0, #lo_addr(_RxIn+0)
MOVT	R0, #hi_addr(_RxIn+0)
STRB	R1, [R0, #0]
;UART6.c,139 :: 		RcvBufPtr = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(_RcvBufPtr+0)
MOVT	R0, #hi_addr(_RcvBufPtr+0)
STRB	R1, [R0, #0]
;UART6.c,140 :: 		}
L_end_UART6_RxQueueInit:
BX	LR
; end of _UART6_RxQueueInit
_UART6_GetChar:
;UART6.c,146 :: 		char UART6_GetChar(char *rxbyte) {
; rxbyte start address is: 0 (R0)
; rxbyte end address is: 0 (R0)
; rxbyte start address is: 0 (R0)
;UART6.c,147 :: 		if (RxIn != RxOut) {              // If there is a character in the buffer
MOVW	R1, #lo_addr(_RxOut+0)
MOVT	R1, #hi_addr(_RxOut+0)
LDRB	R2, [R1, #0]
MOVW	R1, #lo_addr(_RxIn+0)
MOVT	R1, #hi_addr(_RxIn+0)
LDRB	R1, [R1, #0]
CMP	R1, R2
IT	EQ
BEQ	L_UART6_GetChar7
;UART6.c,148 :: 		*rxbyte = RxQueue[RxOut++];    // Extract the character and update the pointer
MOVW	R3, #lo_addr(_RxOut+0)
MOVT	R3, #hi_addr(_RxOut+0)
LDRB	R2, [R3, #0]
MOVW	R1, #lo_addr(_RxQueue+0)
MOVT	R1, #hi_addr(_RxQueue+0)
ADDS	R1, R1, R2
LDRB	R1, [R1, #0]
STRB	R1, [R0, #0]
; rxbyte end address is: 0 (R0)
MOV	R1, R3
LDRB	R1, [R1, #0]
ADDS	R1, R1, #1
UXTB	R1, R1
STRB	R1, [R3, #0]
;UART6.c,149 :: 		if (RxOut > (rxqsize-1))       // Check for wrap
CMP	R1, #255
IT	LS
BLS	L_UART6_GetChar8
;UART6.c,150 :: 		RxOut = 0;
MOVS	R2, #0
MOVW	R1, #lo_addr(_RxOut+0)
MOVT	R1, #hi_addr(_RxOut+0)
STRB	R2, [R1, #0]
L_UART6_GetChar8:
;UART6.c,151 :: 		return 1;
MOVS	R0, #1
IT	AL
BAL	L_end_UART6_GetChar
;UART6.c,152 :: 		}else{
L_UART6_GetChar7:
;UART6.c,153 :: 		return 0;                      // No data available
MOVS	R0, #0
;UART6.c,155 :: 		}
L_end_UART6_GetChar:
BX	LR
; end of _UART6_GetChar
_UART6_Rx:
;UART6.c,159 :: 		void UART6_Rx(void) {
SUB	SP, SP, #4
STR	LR, [SP, #0]
;UART6.c,160 :: 		UART6_RxFuncPtr();    // Use the function pointer to go to a state
MOVW	R4, #lo_addr(_UART6_RxFuncPtr+0)
MOVT	R4, #hi_addr(_UART6_RxFuncPtr+0)
LDR	R4, [R4, #0]
BLX	R4
;UART6.c,161 :: 		}
L_end_UART6_Rx:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _UART6_Rx
_UART6_Rx1:
;UART6.c,166 :: 		void UART6_Rx1(void){
SUB	SP, SP, #8
STR	LR, [SP, #0]
;UART6.c,169 :: 		if (UART6_GetChar(&rxchar)) {
ADD	R0, SP, #4
BL	_UART6_GetChar+0
CMP	R0, #0
IT	EQ
BEQ	L_UART6_Rx110
;UART6.c,170 :: 		switch (rxchar) {
IT	AL
BAL	L_UART6_Rx111
;UART6.c,171 :: 		case NUL:         // Discard NUL character
L_UART6_Rx113:
;UART6.c,172 :: 		break;
IT	AL
BAL	L_UART6_Rx112
;UART6.c,174 :: 		case '\r':        // Discard return character
L_UART6_Rx114:
;UART6.c,175 :: 		break;
IT	AL
BAL	L_UART6_Rx112
;UART6.c,177 :: 		case '\n':
L_UART6_Rx115:
;UART6.c,178 :: 		RcvBuf[RcvBufPtr++] = rxchar;       // Put received character into buffer
MOVW	R2, #lo_addr(_RcvBufPtr+0)
MOVT	R2, #hi_addr(_RcvBufPtr+0)
LDRB	R1, [R2, #0]
MOVW	R0, #lo_addr(_RcvBuf+0)
MOVT	R0, #hi_addr(_RcvBuf+0)
ADDS	R1, R0, R1
LDRB	R0, [SP, #4]
STRB	R0, [R1, #0]
MOV	R0, R2
LDRB	R0, [R0, #0]
ADDS	R1, R0, #1
UXTB	R1, R1
STRB	R1, [R2, #0]
;UART6.c,179 :: 		RcvBuf[RcvBufPtr] = 0;              // End marker
MOVW	R0, #lo_addr(_RcvBuf+0)
MOVT	R0, #hi_addr(_RcvBuf+0)
ADDS	R1, R0, R1
MOVS	R0, #0
STRB	R0, [R1, #0]
;UART6.c,180 :: 		RcvBufPtr = 0;                      // Point to start of buffer
MOVS	R0, #0
STRB	R0, [R2, #0]
;UART6.c,181 :: 		UART6_RxFuncPtr = UART6_Rx2;        // Go to state 2
MOVW	R1, #lo_addr(_UART6_Rx2+0)
MOVT	R1, #hi_addr(_UART6_Rx2+0)
MOVW	R0, #lo_addr(_UART6_RxFuncPtr+0)
MOVT	R0, #hi_addr(_UART6_RxFuncPtr+0)
STR	R1, [R0, #0]
;UART6.c,182 :: 		break;
IT	AL
BAL	L_UART6_Rx112
;UART6.c,184 :: 		default:
L_UART6_Rx116:
;UART6.c,185 :: 		if (RcvBufPtr < (RcvBufSize-2))     // Prevents buffer overrun
MOVW	R0, #lo_addr(_RcvBufPtr+0)
MOVT	R0, #hi_addr(_RcvBufPtr+0)
LDRB	R0, [R0, #0]
CMP	R0, #254
IT	CS
BCS	L_UART6_Rx117
;UART6.c,186 :: 		RcvBuf[RcvBufPtr++] = rxchar;   // Put character in buffer
MOVW	R2, #lo_addr(_RcvBufPtr+0)
MOVT	R2, #hi_addr(_RcvBufPtr+0)
LDRB	R1, [R2, #0]
MOVW	R0, #lo_addr(_RcvBuf+0)
MOVT	R0, #hi_addr(_RcvBuf+0)
ADDS	R1, R0, R1
LDRB	R0, [SP, #4]
STRB	R0, [R1, #0]
MOV	R0, R2
LDRB	R0, [R0, #0]
ADDS	R0, R0, #1
STRB	R0, [R2, #0]
L_UART6_Rx117:
;UART6.c,187 :: 		break;
IT	AL
BAL	L_UART6_Rx112
;UART6.c,188 :: 		}
L_UART6_Rx111:
LDRB	R0, [SP, #4]
CMP	R0, #0
IT	EQ
BEQ	L_UART6_Rx113
LDRB	R0, [SP, #4]
CMP	R0, #13
IT	EQ
BEQ	L_UART6_Rx114
LDRB	R0, [SP, #4]
CMP	R0, #10
IT	EQ
BEQ	L_UART6_Rx115
IT	AL
BAL	L_UART6_Rx116
L_UART6_Rx112:
;UART6.c,189 :: 		}
L_UART6_Rx110:
;UART6.c,190 :: 		}
L_end_UART6_Rx1:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _UART6_Rx1
_UART6_Rx2:
;UART6.c,195 :: 		void UART6_Rx2(void) {
SUB	SP, SP, #8
STR	LR, [SP, #0]
;UART6.c,199 :: 		switch (RcvBuf[0]) {
IT	AL
BAL	L_UART6_Rx218
;UART6.c,204 :: 		case 'a':
L_UART6_Rx220:
;UART6.c,205 :: 		UART6_PutQueue("ACK\r\n");
MOVW	R0, #lo_addr(?lstr1_UART6+0)
MOVT	R0, #hi_addr(?lstr1_UART6+0)
BL	_UART6_PutQueue+0
;UART6.c,206 :: 		break;
IT	AL
BAL	L_UART6_Rx219
;UART6.c,208 :: 		case 'b':  // Cold start the GPS module
L_UART6_Rx221:
;UART6.c,209 :: 		SendToGPS("$PMTK103*");
MOVW	R0, #lo_addr(?lstr2_UART6+0)
MOVT	R0, #hi_addr(?lstr2_UART6+0)
BL	_SendToGPS+0
;UART6.c,210 :: 		break;
IT	AL
BAL	L_UART6_Rx219
;UART6.c,212 :: 		case 'c':  // Check the setting of output packet enable flags
L_UART6_Rx222:
;UART6.c,213 :: 		SendToGPS("$PMTK414*");
MOVW	R0, #lo_addr(?lstr3_UART6+0)
MOVT	R0, #hi_addr(?lstr3_UART6+0)
BL	_SendToGPS+0
;UART6.c,214 :: 		break;
IT	AL
BAL	L_UART6_Rx219
;UART6.c,216 :: 		case 'd':  //Suppress the sending of default information packets
L_UART6_Rx223:
;UART6.c,217 :: 		SendToGPS("$PMTK314,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0*");
MOVW	R0, #lo_addr(?lstr4_UART6+0)
MOVT	R0, #hi_addr(?lstr4_UART6+0)
BL	_SendToGPS+0
;UART6.c,218 :: 		break;
IT	AL
BAL	L_UART6_Rx219
;UART6.c,220 :: 		case 'e':  // Enable the sending of default information packets
L_UART6_Rx224:
;UART6.c,221 :: 		SendToGPS("$PMTK314,1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,1,0*");
MOVW	R0, #lo_addr(?lstr5_UART6+0)
MOVT	R0, #hi_addr(?lstr5_UART6+0)
BL	_SendToGPS+0
;UART6.c,222 :: 		break;
IT	AL
BAL	L_UART6_Rx219
;UART6.c,224 :: 		case 'f':  // Request GLL message
L_UART6_Rx225:
;UART6.c,225 :: 		SendToGPS("$PMTK448,1*");
MOVW	R0, #lo_addr(?lstr6_UART6+0)
MOVT	R0, #hi_addr(?lstr6_UART6+0)
BL	_SendToGPS+0
;UART6.c,226 :: 		break;
IT	AL
BAL	L_UART6_Rx219
;UART6.c,228 :: 		case 'g':  // Request RMC message
L_UART6_Rx226:
;UART6.c,229 :: 		SendToGPS("$PMTK448,2*");
MOVW	R0, #lo_addr(?lstr7_UART6+0)
MOVT	R0, #hi_addr(?lstr7_UART6+0)
BL	_SendToGPS+0
;UART6.c,230 :: 		break;
IT	AL
BAL	L_UART6_Rx219
;UART6.c,232 :: 		case 'h':  // Request VTG message
L_UART6_Rx227:
;UART6.c,233 :: 		SendToGPS("$PMTK448,3*");
MOVW	R0, #lo_addr(?lstr8_UART6+0)
MOVT	R0, #hi_addr(?lstr8_UART6+0)
BL	_SendToGPS+0
;UART6.c,234 :: 		break;
IT	AL
BAL	L_UART6_Rx219
;UART6.c,236 :: 		case 'i':  // Request GGA message
L_UART6_Rx228:
;UART6.c,237 :: 		SendToGPS("$PMTK448,4*");
MOVW	R0, #lo_addr(?lstr9_UART6+0)
MOVT	R0, #hi_addr(?lstr9_UART6+0)
BL	_SendToGPS+0
;UART6.c,238 :: 		break;
IT	AL
BAL	L_UART6_Rx219
;UART6.c,240 :: 		case 'j':  // Request GSA message
L_UART6_Rx229:
;UART6.c,241 :: 		SendToGPS("$PMTK448,5*");
MOVW	R0, #lo_addr(?lstr10_UART6+0)
MOVT	R0, #hi_addr(?lstr10_UART6+0)
BL	_SendToGPS+0
;UART6.c,242 :: 		break;
IT	AL
BAL	L_UART6_Rx219
;UART6.c,244 :: 		case 'k':  // Request GSV message
L_UART6_Rx230:
;UART6.c,245 :: 		SendToGPS("$PMTK448,6*");
MOVW	R0, #lo_addr(?lstr11_UART6+0)
MOVT	R0, #hi_addr(?lstr11_UART6+0)
BL	_SendToGPS+0
;UART6.c,246 :: 		break;
IT	AL
BAL	L_UART6_Rx219
;UART6.c,248 :: 		case 'l':  // Request ZDA message
L_UART6_Rx231:
;UART6.c,249 :: 		SendToGPS("$PMTK448,7*");
MOVW	R0, #lo_addr(?lstr12_UART6+0)
MOVT	R0, #hi_addr(?lstr12_UART6+0)
BL	_SendToGPS+0
;UART6.c,250 :: 		break;
IT	AL
BAL	L_UART6_Rx219
;UART6.c,252 :: 		case 'm':  // Request longitude and latitude update
L_UART6_Rx232:
;UART6.c,253 :: 		GPS_State = 5;
MOVS	R1, #5
MOVW	R0, #lo_addr(_GPS_State+0)
MOVT	R0, #hi_addr(_GPS_State+0)
STRB	R1, [R0, #0]
;UART6.c,254 :: 		break;
IT	AL
BAL	L_UART6_Rx219
;UART6.c,256 :: 		case 'n':
L_UART6_Rx233:
;UART6.c,257 :: 		GPS_State = 9;
MOVS	R1, #9
MOVW	R0, #lo_addr(_GPS_State+0)
MOVT	R0, #hi_addr(_GPS_State+0)
STRB	R1, [R0, #0]
;UART6.c,258 :: 		break;
IT	AL
BAL	L_UART6_Rx219
;UART6.c,260 :: 		case 'o':  // Test for SRAM write/read
L_UART6_Rx234:
;UART6.c,261 :: 		RTC_WriteSRAM(2,0x5555AAAA);
MOVW	R1, #43690
MOVT	R1, #21845
MOVS	R0, #2
BL	_RTC_WriteSRAM+0
;UART6.c,262 :: 		Temp = RTC_ReadSRAM(2);
MOVS	R0, #2
BL	_RTC_ReadSRAM+0
; Temp start address is: 4 (R1)
MOV	R1, R0
;UART6.c,263 :: 		BufNum = GetBuffer();
STR	R1, [SP, #4]
BL	_GetBuffer+0
LDR	R1, [SP, #4]
; BufNum start address is: 12 (R3)
MOV	R3, R0
;UART6.c,264 :: 		sprintf(BufNum,"%08LX\r\n",Temp);
MOV	R2, R1
; Temp end address is: 4 (R1)
MOVW	R1, #lo_addr(?lstr_13_UART6+0)
MOVT	R1, #hi_addr(?lstr_13_UART6+0)
STR	R3, [SP, #4]
PUSH	(R2)
PUSH	(R1)
PUSH	(R0)
BL	_sprintf+0
ADD	SP, SP, #12
LDR	R3, [SP, #4]
;UART6.c,265 :: 		UART6_PutQueue(BufNum);
MOV	R0, R3
; BufNum end address is: 12 (R3)
BL	_UART6_PutQueue+0
;UART6.c,266 :: 		break;
IT	AL
BAL	L_UART6_Rx219
;UART6.c,268 :: 		case 'p':  // Display RTC calibration register
L_UART6_Rx235:
;UART6.c,269 :: 		BufNum = GetBuffer();
BL	_GetBuffer+0
; BufNum start address is: 12 (R3)
MOV	R3, R0
;UART6.c,270 :: 		sprintf(BufNum,"%04X\r\n",RTC_CALIBR);
MOVW	R1, #lo_addr(RTC_CALIBR+0)
MOVT	R1, #hi_addr(RTC_CALIBR+0)
LDR	R2, [R1, #0]
MOVW	R1, #lo_addr(?lstr_14_UART6+0)
MOVT	R1, #hi_addr(?lstr_14_UART6+0)
STR	R3, [SP, #4]
PUSH	(R2)
PUSH	(R1)
PUSH	(R0)
BL	_sprintf+0
ADD	SP, SP, #12
LDR	R3, [SP, #4]
;UART6.c,271 :: 		UART6_PutQueue(BufNum);
MOV	R0, R3
; BufNum end address is: 12 (R3)
BL	_UART6_PutQueue+0
;UART6.c,272 :: 		break;
IT	AL
BAL	L_UART6_Rx219
;UART6.c,274 :: 		case 'r':  // Set RTC calibration register
L_UART6_Rx236:
;UART6.c,275 :: 		PWR_CR.DBP = 1;                 // Enable access to RTC, RTC backup regs, SRAM
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(PWR_CR+0)
MOVT	R0, #hi_addr(PWR_CR+0)
STR	R1, [R0, #0]
;UART6.c,276 :: 		RTC_WPR = 0xCA;                 // Unlock write protection
MOVS	R1, #202
MOVW	R0, #lo_addr(RTC_WPR+0)
MOVT	R0, #hi_addr(RTC_WPR+0)
STR	R1, [R0, #0]
;UART6.c,277 :: 		RTC_WPR = 0x53;                 // Unlock write protection
MOVS	R1, #83
MOVW	R0, #lo_addr(RTC_WPR+0)
MOVT	R0, #hi_addr(RTC_WPR+0)
STR	R1, [R0, #0]
;UART6.c,278 :: 		RTC_ISR = 0x00000080;           // Set initialization mode (bit 7 of RTC_ISR)
MOVS	R1, #128
MOVW	R0, #lo_addr(RTC_ISR+0)
MOVT	R0, #hi_addr(RTC_ISR+0)
STR	R1, [R0, #0]
;UART6.c,279 :: 		while(RTC_ISR.INITF != 1) {};   // Wait for INITF (bit 6 of RTC_ISR) to come on
L_UART6_Rx237:
MOVW	R1, #lo_addr(RTC_ISR+0)
MOVT	R1, #hi_addr(RTC_ISR+0)
LDR	R0, [R1, #0]
CMP	R0, #0
IT	NE
BNE	L_UART6_Rx238
IT	AL
BAL	L_UART6_Rx237
L_UART6_Rx238:
;UART6.c,280 :: 		RTC_CALIBR = 0x00000088;
MOVS	R1, #136
MOVW	R0, #lo_addr(RTC_CALIBR+0)
MOVT	R0, #hi_addr(RTC_CALIBR+0)
STR	R1, [R0, #0]
;UART6.c,281 :: 		RTC_ISR = 0x00000000;           // Exit initialization mode
MOVS	R1, #0
MOVW	R0, #lo_addr(RTC_ISR+0)
MOVT	R0, #hi_addr(RTC_ISR+0)
STR	R1, [R0, #0]
;UART6.c,282 :: 		RTC_WPR = 0xFF;                 // Set write protection register lock
MOVS	R1, #255
MOVW	R0, #lo_addr(RTC_WPR+0)
MOVT	R0, #hi_addr(RTC_WPR+0)
STR	R1, [R0, #0]
;UART6.c,283 :: 		break;
IT	AL
BAL	L_UART6_Rx219
;UART6.c,285 :: 		case 's':
L_UART6_Rx239:
;UART6.c,287 :: 		break;
IT	AL
BAL	L_UART6_Rx219
;UART6.c,289 :: 		case 't':
L_UART6_Rx240:
;UART6.c,291 :: 		break;
IT	AL
BAL	L_UART6_Rx219
;UART6.c,293 :: 		case 'u':
L_UART6_Rx241:
;UART6.c,294 :: 		GPS_State = 1;
MOVS	R1, #1
MOVW	R0, #lo_addr(_GPS_State+0)
MOVT	R0, #hi_addr(_GPS_State+0)
STRB	R1, [R0, #0]
;UART6.c,295 :: 		break;
IT	AL
BAL	L_UART6_Rx219
;UART6.c,297 :: 		case 'v':
L_UART6_Rx242:
;UART6.c,298 :: 		BufNum = GetBuffer();
BL	_GetBuffer+0
; BufNum start address is: 12 (R3)
MOV	R3, R0
;UART6.c,299 :: 		sprintf(BufNum,"%08LX\r\n",SYSCFG_EXTICR1);
MOVW	R1, #lo_addr(SYSCFG_EXTICR1+0)
MOVT	R1, #hi_addr(SYSCFG_EXTICR1+0)
LDR	R2, [R1, #0]
MOVW	R1, #lo_addr(?lstr_15_UART6+0)
MOVT	R1, #hi_addr(?lstr_15_UART6+0)
STR	R3, [SP, #4]
PUSH	(R2)
PUSH	(R1)
PUSH	(R0)
BL	_sprintf+0
ADD	SP, SP, #12
LDR	R3, [SP, #4]
;UART6.c,300 :: 		UART6_PutQueue(BufNum);
MOV	R0, R3
; BufNum end address is: 12 (R3)
BL	_UART6_PutQueue+0
;UART6.c,301 :: 		break;
IT	AL
BAL	L_UART6_Rx219
;UART6.c,303 :: 		case 'w':
L_UART6_Rx243:
;UART6.c,304 :: 		MR0_bit = 1;     // Unmask interrupt request from line 0
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(MR0_bit+0)
MOVT	R0, #hi_addr(MR0_bit+0)
STR	R1, [R0, #0]
;UART6.c,305 :: 		SWIER0_bit = 1;
MOVW	R0, #lo_addr(SWIER0_bit+0)
MOVT	R0, #hi_addr(SWIER0_bit+0)
STR	R1, [R0, #0]
;UART6.c,306 :: 		break;
IT	AL
BAL	L_UART6_Rx219
;UART6.c,308 :: 		case 'x':
L_UART6_Rx244:
;UART6.c,309 :: 		PR1_bit = 1;
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(PR1_bit+0)
MOVT	R0, #hi_addr(PR1_bit+0)
STR	R1, [R0, #0]
;UART6.c,310 :: 		break;
IT	AL
BAL	L_UART6_Rx219
;UART6.c,312 :: 		case 'y':
L_UART6_Rx245:
;UART6.c,313 :: 		BufNum = GetBuffer();
BL	_GetBuffer+0
; BufNum start address is: 12 (R3)
MOV	R3, R0
;UART6.c,314 :: 		sprintf(BufNum,"%08LX\r\n",EXTI_PR);
MOVW	R1, #lo_addr(EXTI_PR+0)
MOVT	R1, #hi_addr(EXTI_PR+0)
LDR	R2, [R1, #0]
MOVW	R1, #lo_addr(?lstr_16_UART6+0)
MOVT	R1, #hi_addr(?lstr_16_UART6+0)
STR	R3, [SP, #4]
PUSH	(R2)
PUSH	(R1)
PUSH	(R0)
BL	_sprintf+0
ADD	SP, SP, #12
LDR	R3, [SP, #4]
;UART6.c,315 :: 		UART6_PutQueue(BufNum);
MOV	R0, R3
; BufNum end address is: 12 (R3)
BL	_UART6_PutQueue+0
;UART6.c,316 :: 		break;
IT	AL
BAL	L_UART6_Rx219
;UART6.c,318 :: 		case 'z':  // Set SWER1 in EXTI_SWIER to force an interrupt on EXTI1
L_UART6_Rx246:
;UART6.c,319 :: 		SWIER1_bit = 1;
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(SWIER1_bit+0)
MOVT	R0, #hi_addr(SWIER1_bit+0)
STR	R1, [R0, #0]
;UART6.c,320 :: 		break;
IT	AL
BAL	L_UART6_Rx219
;UART6.c,323 :: 		default:
L_UART6_Rx247:
;UART6.c,324 :: 		UART6_PutQueue("Unknown command: ");
MOVW	R0, #lo_addr(?lstr17_UART6+0)
MOVT	R0, #hi_addr(?lstr17_UART6+0)
BL	_UART6_PutQueue+0
;UART6.c,326 :: 		BufNum = GetBuffer();                // Get a free buffer
BL	_GetBuffer+0
; BufNum start address is: 12 (R3)
MOV	R3, R0
;UART6.c,327 :: 		(void)sprintf(BufNum,"%c\r\n",RcvBuf[0]);
MOVW	R1, #lo_addr(_RcvBuf+0)
MOVT	R1, #hi_addr(_RcvBuf+0)
LDRB	R2, [R1, #0]
MOVW	R1, #lo_addr(?lstr_18_UART6+0)
MOVT	R1, #hi_addr(?lstr_18_UART6+0)
STR	R3, [SP, #4]
PUSH	(R2)
PUSH	(R1)
PUSH	(R0)
BL	_sprintf+0
ADD	SP, SP, #12
LDR	R3, [SP, #4]
;UART6.c,328 :: 		UART6_PutQueue(BufNum);              // Send the message
MOV	R0, R3
; BufNum end address is: 12 (R3)
BL	_UART6_PutQueue+0
;UART6.c,329 :: 		break;
IT	AL
BAL	L_UART6_Rx219
;UART6.c,330 :: 		}
L_UART6_Rx218:
MOVW	R0, #lo_addr(_RcvBuf+0)
MOVT	R0, #hi_addr(_RcvBuf+0)
LDRB	R0, [R0, #0]
CMP	R0, #97
IT	EQ
BEQ	L_UART6_Rx220
MOVW	R0, #lo_addr(_RcvBuf+0)
MOVT	R0, #hi_addr(_RcvBuf+0)
LDRB	R0, [R0, #0]
CMP	R0, #98
IT	EQ
BEQ	L_UART6_Rx221
MOVW	R0, #lo_addr(_RcvBuf+0)
MOVT	R0, #hi_addr(_RcvBuf+0)
LDRB	R0, [R0, #0]
CMP	R0, #99
IT	EQ
BEQ	L_UART6_Rx222
MOVW	R0, #lo_addr(_RcvBuf+0)
MOVT	R0, #hi_addr(_RcvBuf+0)
LDRB	R0, [R0, #0]
CMP	R0, #100
IT	EQ
BEQ	L_UART6_Rx223
MOVW	R0, #lo_addr(_RcvBuf+0)
MOVT	R0, #hi_addr(_RcvBuf+0)
LDRB	R0, [R0, #0]
CMP	R0, #101
IT	EQ
BEQ	L_UART6_Rx224
MOVW	R0, #lo_addr(_RcvBuf+0)
MOVT	R0, #hi_addr(_RcvBuf+0)
LDRB	R0, [R0, #0]
CMP	R0, #102
IT	EQ
BEQ	L_UART6_Rx225
MOVW	R0, #lo_addr(_RcvBuf+0)
MOVT	R0, #hi_addr(_RcvBuf+0)
LDRB	R0, [R0, #0]
CMP	R0, #103
IT	EQ
BEQ	L_UART6_Rx226
MOVW	R0, #lo_addr(_RcvBuf+0)
MOVT	R0, #hi_addr(_RcvBuf+0)
LDRB	R0, [R0, #0]
CMP	R0, #104
IT	EQ
BEQ	L_UART6_Rx227
MOVW	R0, #lo_addr(_RcvBuf+0)
MOVT	R0, #hi_addr(_RcvBuf+0)
LDRB	R0, [R0, #0]
CMP	R0, #105
IT	EQ
BEQ	L_UART6_Rx228
MOVW	R0, #lo_addr(_RcvBuf+0)
MOVT	R0, #hi_addr(_RcvBuf+0)
LDRB	R0, [R0, #0]
CMP	R0, #106
IT	EQ
BEQ	L_UART6_Rx229
MOVW	R0, #lo_addr(_RcvBuf+0)
MOVT	R0, #hi_addr(_RcvBuf+0)
LDRB	R0, [R0, #0]
CMP	R0, #107
IT	EQ
BEQ	L_UART6_Rx230
MOVW	R0, #lo_addr(_RcvBuf+0)
MOVT	R0, #hi_addr(_RcvBuf+0)
LDRB	R0, [R0, #0]
CMP	R0, #108
IT	EQ
BEQ	L_UART6_Rx231
MOVW	R0, #lo_addr(_RcvBuf+0)
MOVT	R0, #hi_addr(_RcvBuf+0)
LDRB	R0, [R0, #0]
CMP	R0, #109
IT	EQ
BEQ	L_UART6_Rx232
MOVW	R0, #lo_addr(_RcvBuf+0)
MOVT	R0, #hi_addr(_RcvBuf+0)
LDRB	R0, [R0, #0]
CMP	R0, #110
IT	EQ
BEQ	L_UART6_Rx233
MOVW	R0, #lo_addr(_RcvBuf+0)
MOVT	R0, #hi_addr(_RcvBuf+0)
LDRB	R0, [R0, #0]
CMP	R0, #111
IT	EQ
BEQ	L_UART6_Rx234
MOVW	R0, #lo_addr(_RcvBuf+0)
MOVT	R0, #hi_addr(_RcvBuf+0)
LDRB	R0, [R0, #0]
CMP	R0, #112
IT	EQ
BEQ	L_UART6_Rx235
MOVW	R0, #lo_addr(_RcvBuf+0)
MOVT	R0, #hi_addr(_RcvBuf+0)
LDRB	R0, [R0, #0]
CMP	R0, #114
IT	EQ
BEQ	L_UART6_Rx236
MOVW	R0, #lo_addr(_RcvBuf+0)
MOVT	R0, #hi_addr(_RcvBuf+0)
LDRB	R0, [R0, #0]
CMP	R0, #115
IT	EQ
BEQ	L_UART6_Rx239
MOVW	R0, #lo_addr(_RcvBuf+0)
MOVT	R0, #hi_addr(_RcvBuf+0)
LDRB	R0, [R0, #0]
CMP	R0, #116
IT	EQ
BEQ	L_UART6_Rx240
MOVW	R0, #lo_addr(_RcvBuf+0)
MOVT	R0, #hi_addr(_RcvBuf+0)
LDRB	R0, [R0, #0]
CMP	R0, #117
IT	EQ
BEQ	L_UART6_Rx241
MOVW	R0, #lo_addr(_RcvBuf+0)
MOVT	R0, #hi_addr(_RcvBuf+0)
LDRB	R0, [R0, #0]
CMP	R0, #118
IT	EQ
BEQ	L_UART6_Rx242
MOVW	R0, #lo_addr(_RcvBuf+0)
MOVT	R0, #hi_addr(_RcvBuf+0)
LDRB	R0, [R0, #0]
CMP	R0, #119
IT	EQ
BEQ	L_UART6_Rx243
MOVW	R0, #lo_addr(_RcvBuf+0)
MOVT	R0, #hi_addr(_RcvBuf+0)
LDRB	R0, [R0, #0]
CMP	R0, #120
IT	EQ
BEQ	L_UART6_Rx244
MOVW	R0, #lo_addr(_RcvBuf+0)
MOVT	R0, #hi_addr(_RcvBuf+0)
LDRB	R0, [R0, #0]
CMP	R0, #121
IT	EQ
BEQ	L_UART6_Rx245
MOVW	R0, #lo_addr(_RcvBuf+0)
MOVT	R0, #hi_addr(_RcvBuf+0)
LDRB	R0, [R0, #0]
CMP	R0, #122
IT	EQ
BEQ	L_UART6_Rx246
IT	AL
BAL	L_UART6_Rx247
L_UART6_Rx219:
;UART6.c,331 :: 		UART6_RxFuncPtr = UART6_Rx1;               // Go back to state 1
MOVW	R1, #lo_addr(_UART6_Rx1+0)
MOVT	R1, #hi_addr(_UART6_Rx1+0)
MOVW	R0, #lo_addr(_UART6_RxFuncPtr+0)
MOVT	R0, #hi_addr(_UART6_RxFuncPtr+0)
STR	R1, [R0, #0]
;UART6.c,332 :: 		}
L_end_UART6_Rx2:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _UART6_Rx2
_UART6_TxQueueInit:
;UART6.c,339 :: 		void UART6_TxQueueInit(void) {
;UART6.c,340 :: 		TxIn = TxOut = 0;         // Set pointers to 0
MOVS	R1, #0
MOVW	R0, #lo_addr(_TxOut+0)
MOVT	R0, #hi_addr(_TxOut+0)
STRB	R1, [R0, #0]
MOVS	R1, #0
MOVW	R0, #lo_addr(_TxIn+0)
MOVT	R0, #hi_addr(_TxIn+0)
STRB	R1, [R0, #0]
;UART6.c,341 :: 		XmtBufPtr = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(_XmtBufPtr+0)
MOVT	R0, #hi_addr(_XmtBufPtr+0)
STRB	R1, [R0, #0]
;UART6.c,342 :: 		}
L_end_UART6_TxQueueInit:
BX	LR
; end of _UART6_TxQueueInit
_UART6_PutQueue:
;UART6.c,347 :: 		void UART6_PutQueue(char *msg) {
; msg start address is: 0 (R0)
; msg end address is: 0 (R0)
; msg start address is: 0 (R0)
;UART6.c,348 :: 		TxQueue[TxIn++] = msg;    // Put the message pointer into FIFO
MOVW	R3, #lo_addr(_TxIn+0)
MOVT	R3, #hi_addr(_TxIn+0)
LDRB	R1, [R3, #0]
LSLS	R2, R1, #2
MOVW	R1, #lo_addr(_TxQueue+0)
MOVT	R1, #hi_addr(_TxQueue+0)
ADDS	R1, R1, R2
STR	R0, [R1, #0]
; msg end address is: 0 (R0)
MOV	R1, R3
LDRB	R1, [R1, #0]
ADDS	R1, R1, #1
UXTB	R1, R1
STRB	R1, [R3, #0]
;UART6.c,349 :: 		if (TxIn > (txqsize-1))   // Adjust FIFO in pointer
CMP	R1, #63
IT	LS
BLS	L_UART6_PutQueue48
;UART6.c,350 :: 		TxIn = 0;
MOVS	R2, #0
MOVW	R1, #lo_addr(_TxIn+0)
MOVT	R1, #hi_addr(_TxIn+0)
STRB	R2, [R1, #0]
L_UART6_PutQueue48:
;UART6.c,351 :: 		}
L_end_UART6_PutQueue:
BX	LR
; end of _UART6_PutQueue
_UART6_SendMsg:
;UART6.c,355 :: 		void UART6_SendMsg(char *s) {
; s start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; s end address is: 0 (R0)
; s start address is: 0 (R0)
;UART6.c,356 :: 		XmtBuf = s;               // Pointer to the message for the interrupt handler
MOVW	R1, #lo_addr(_XmtBuf+0)
MOVT	R1, #hi_addr(_XmtBuf+0)
STR	R0, [R1, #0]
; s end address is: 0 (R0)
;UART6.c,357 :: 		XmtBufPtr = 0;            // Set character counter to start of text message
MOVS	R2, #0
MOVW	R1, #lo_addr(_XmtBufPtr+0)
MOVT	R1, #hi_addr(_XmtBufPtr+0)
STRB	R2, [R1, #0]
;UART6.c,358 :: 		UART6_StartTx();          // Turn on the transmitter
BL	_UART6_StartTx+0
;UART6.c,359 :: 		}
L_end_UART6_SendMsg:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _UART6_SendMsg
_UART6_CheckQueue:
;UART6.c,364 :: 		void UART6_CheckQueue(void) {
SUB	SP, SP, #4
STR	LR, [SP, #0]
;UART6.c,365 :: 		if (TXEIE_USART6_CR1_bit == 0) {   // Don't try to start transmitter if already transmitting
MOVW	R1, #lo_addr(TXEIE_USART6_CR1_bit+0)
MOVT	R1, #hi_addr(TXEIE_USART6_CR1_bit+0)
LDR	R0, [R1, #0]
CMP	R0, #0
IT	NE
BNE	L_UART6_CheckQueue49
;UART6.c,366 :: 		if (TxIn != TxOut) {                 // If pointers are not the same
MOVW	R0, #lo_addr(_TxOut+0)
MOVT	R0, #hi_addr(_TxOut+0)
LDRB	R1, [R0, #0]
MOVW	R0, #lo_addr(_TxIn+0)
MOVT	R0, #hi_addr(_TxIn+0)
LDRB	R0, [R0, #0]
CMP	R0, R1
IT	EQ
BEQ	L_UART6_CheckQueue50
;UART6.c,367 :: 		UART6_SendMsg(TxQueue[TxOut++]); // Hand off the message pointer and increment counter
MOVW	R0, #lo_addr(_TxOut+0)
MOVT	R0, #hi_addr(_TxOut+0)
LDRB	R0, [R0, #0]
LSLS	R1, R0, #2
MOVW	R0, #lo_addr(_TxQueue+0)
MOVT	R0, #hi_addr(_TxQueue+0)
ADDS	R0, R0, R1
LDR	R0, [R0, #0]
BL	_UART6_SendMsg+0
MOVW	R1, #lo_addr(_TxOut+0)
MOVT	R1, #hi_addr(_TxOut+0)
LDRB	R0, [R1, #0]
ADDS	R0, R0, #1
UXTB	R0, R0
STRB	R0, [R1, #0]
;UART6.c,368 :: 		if (TxOut > (txqsize-1))         // Check for wrap
CMP	R0, #63
IT	LS
BLS	L_UART6_CheckQueue51
;UART6.c,369 :: 		TxOut = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(_TxOut+0)
MOVT	R0, #hi_addr(_TxOut+0)
STRB	R1, [R0, #0]
L_UART6_CheckQueue51:
;UART6.c,370 :: 		}
L_UART6_CheckQueue50:
;UART6.c,371 :: 		}
L_UART6_CheckQueue49:
;UART6.c,372 :: 		}
L_end_UART6_CheckQueue:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _UART6_CheckQueue
